Subject: bug#41764: closed (Re: bug#41764: `make authenticate` fails to find the keyring branch)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 Oct 2020 15:43:02 +0000

Your bug report

#41764: `make authenticate` fails to find the keyring branch

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41764: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41764
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41764: `make authenticate` fails to find the keyring branch
From: Miguel Ángel Arruga Vivas <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], Leo Famulari <[email-masked]>
Date: Sat, 24 Oct 2020 17:41:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludo,

Thanks for the quick revision.

Ludovic Courtès <[email-masked]> writes:
>>  # Authenticate the current Git checkout by checking signatures on every commit.
>> +GUIX_GIT_KEYRING = origin/keyring
>
> You need “?=” or users won’t be able to override it.

The macro definitions provided through the command line are equivalent
to adding these definitions to the end of the file, so this wouldn't
make any difference, so I leave it as only =.
>
> s/git/Git/ in the paragraph, but otherwise LGTM!  ‘origin/keyring’ is
> certainly a better default than ‘keyring’.

Pushed with this change as ef6596a20c to master.

Happy hacking!
Miguel

Subject: `make authenticate` fails to find the keyring branch
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 8 Jun 2020 14:54:04 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I just tried pushing for the first time since installing the new
pre-push hook that runs `make authenticate`.

This failed with the following error:

Git error: cannot locate remote-tracking branch 'keyring'

However, `git branch --all` includes "remotes/origin/keyring".

After I did `git checkout origin/keyring`, it worked.

Let's update the manual section Commit Access with the recommended way
to make this branch accessible to `make authenticate`. Maybe it should
even do it automatically?